HttpRequest::clearHistory
HttpRequest::enableCookies
HttpRequest
PHP Manual

# HttpRequest::__construct

(PECL pecl_http >= 0.10.0)

HttpRequest::__construct — Constructeur de HttpRequest

### Description

public HttpRequest::__construct ([ string `$url` [, int `$request_method` = HTTP_METH_GET [, array `$options` ]]] )

Instancie un nouvel objet HttpRequest.

### Liste de paramètres

`url`

  L'URL cible de la requête

`request_method`

  la méthode de requête à utiliser

`options`

  un tableau associatif avec les options de la requête

### Erreurs / Exceptions

Lance une exception HttpException.

HttpRequest::clearHistory
HttpRequest::enableCookies
HttpRequest
PHP Manual